Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface IIOPServiceConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NotificationBroadcaster, NotificationEmitter

public interface IIOPServiceConfig
extends ConfigElement, Container

Configuration for the <iiop-service> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`IIOPListenerConfig` | `createIIOPListenerConfig(java.lang.String name, java.lang.String address, java.util.Map optional)` Create an .
`SSLConfig` | `createIIOPSSLClientConfig(java.util.Map params)` Creates ssl-client-config element.
`boolean` | `getClientAuthenticationRequired()`
`java.util.Map` | `getIIOPListenerConfigMap()` Calls Container.getContaineeMap( XTypes.IIOP_LISTENER_CONFIG ).
`SSLConfig` | `getIIOPSSLClientConfig()` Get the SSLConfig MBean that corresponds to ssl-client-config element of this iiop service.
`ORBConfig` | `getORBConfig()` Get a proxy to an ORBConfig
`void` | `removeIIOPListenerConfig(java.lang.String name)` Removes an iiop listener.
`void` | `removeIIOPSSLClientConfig()` Removes ssl-client-config element.
`void` | `setClientAuthenticationRequired(boolean value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### createIIOPSSLClientConfig

    public SSLConfig createIIOPSSLClientConfig(java.util.Map params)

  Creates ssl-client-config element.

  Parameters:
    `params` -
  Returns:
    Returns a proxy to the SSLConfig MBean.

### removeIIOPSSLClientConfig

    public void removeIIOPSSLClientConfig()

  Removes ssl-client-config element.

### getIIOPSSLClientConfig

    public SSLConfig getIIOPSSLClientConfig()

  Get the SSLConfig MBean that corresponds to ssl-client-config element of this iiop service.

### getClientAuthenticationRequired

    public boolean getClientAuthenticationRequired()

### setClientAuthenticationRequired

    public void setClientAuthenticationRequired(boolean value)

### getIIOPListenerConfigMap

    public java.util.Map getIIOPListenerConfigMap()

  Calls Container.getContaineeMap( XTypes.IIOP_LISTENER_CONFIG ).

  Returns:
    Map of IIOPListenerConfig MBean proxies, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createIIOPListenerConfig

    public IIOPListenerConfig createIIOPListenerConfig(java.lang.String name,
                                                       java.lang.String address,
                                                       java.util.Map optional)

  Create an . Most fields will default to reasonable values. Caller should modify them after creation, if desired.

  Parameters:
    `name` - the name (id) of the newly created listener
    `address` - IP address of the listener
    `optional` - optional parameters
  See Also:
    `IIOPListenerConfigKeys`

### removeIIOPListenerConfig

    public void removeIIOPListenerConfig(java.lang.String name)

  Removes an iiop listener.

  Parameters:
    `name` - the name (id) of the iiop listener to be removed.

### getORBConfig

    public ORBConfig getORBConfig()

  Get a proxy to an ORBConfig

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.